
/****************************************************************/
/* slanty5.c							                        */
/*                                                              */
/* HPGL labels printing in 10, 20, 30, 40 & 50 degree slants	*/
/*          									                */
/* Date : 9-28-89				          					    */
/****************************************************************/

#include <stdio.h>
#include <fcntl.h>

int description();

FILE *prn;

main()

{ /* beginning of main program */

/* initialization section */

prn = fopen("PRN","wb");

/* portrait printout */

fprintf(prn,"\33E");         			/* send an esc E to reset printer */

fprintf(prn,"\33%1B");  				/* enter HPGL mode at current PCL position */

fprintf(prn,"IN"						/* initialize HP-GL/2 */
			"SC0,100,0,100"				/* scale 100 X 100 */
			"SP1PA0,0");				/* select pen, plot absolute 0,0 */

fprintf(prn,"DT~,1");					/* define label terminator,~ and don't print */

fprintf(prn,"PU5,95");					/* pen up 15,50 */

fprintf(prn,"LO12SI2,2"					/* label origin, absolute char. size */
			"AD1,0,2,1,"				/* symbol set, spacing */
			"4,10,5,1,"     			/* height, posture */
			"6,0,7,5"					/* weight, typeface */
			"SL0.1763"					/* character slant (tan20=0.36) */
			"SALB10 Degrees~"); 		/* select alternate font, Label Command */

fprintf(prn,"PU5,75");					/* pen up 15,50 */

fprintf(prn,"SL0.364"					/* character slant (tan45=1.0) */
			"LB20 Degrees~"); 			/* Label Command */

fprintf(prn,"PU5,55");					/* pen up 15,42 */

fprintf(prn,"SL0.5774"					/* character slant (tan20=0.36) */
			"LB30 Degrees~"); 			/* Label Command */

fprintf(prn,"PU5,35");					/* pen up 15,42 */

fprintf(prn,"SL0.8391"					/* character slant (tan45=1.0) */
			"LB40 Degrees~"); 			/* Label Command */

fprintf(prn,"PU5,15");					/* pen up 15,42 */

fprintf(prn,"SL1.1918"					/* character slant (tan60=1.1918) */
			"LB50 Degrees~"); 			/* Label Command */

fprintf(prn,"\33%0A");  				/* enter PCL mode at previous CAP */

fprintf(prn,"\33*p2900Y");				/* vertical cursor postion */

description();

fprintf(prn,"\f");

}    /* Ending of the Main Program */


description()

{
fprintf(prn,"\33(s1p12v1s0b4101T");		/* select 12 pt CG Times Italic */

fprintf(prn,"HP-GL/2 Labels "
			"with varying degree "
			"slanting. (SL command)\n ");
}